This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1316545 - MS Natural Keyboard 4000 not working on disk crypto unlock dialog
MS Natural Keyboard 4000 not working on disk crypto unlock dialog
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
23
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: dracut-maint-list
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 07:51 EST by Bruno Antunes
Modified: 2016-12-20 14:22 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:22:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Antunes 2016-03-10 07:51:48 EST
Description of problem:

My disk is encrypted (did it during Fedora's setup). When the boot-time dialog for the disk password comes up, my MS Natural 4000 Ergonomic keyboard doesn't work.

Version-Release number of selected component (if applicable):

4.4.3-300.fc23.x86_64 

How reproducible:

Always

Steps to Reproduce:
1. encrypt disk
2. plug in MS Natural 4000 keyboard 
3. reboot

Actual results:

keyboard doesn't work (although it does work on GRUB2 selector)

Expected results:

keyboard should work


Additional info:

I fixed it by regenerating the initramfs with Dracut after creating "hid-microsoft.conf" file on /etc/dracut.conf.d with the following content:

add_drivers+=" hid-microsoft "

As a bonus, it also recognizes my Xbox Wireless Receiver on boot without me having to unplug it and plugging it back it. 

But this should work out of the box for all users (right?).
Comment 1 Josh Boyer 2016-03-10 08:10:02 EST
Dracut should be including this if it is loaded on your system.  If it isn't, that is a dracut issue.
Comment 2 Harald Hoyer 2016-03-10 09:07:59 EST
hmm, even on F23, dracut has:
        instmods \
            "=drivers/hid" \
            "=drivers/input/serio" \
            "=drivers/input/keyboard"

so, all drivers under drivers/hid, _if_ they are loaded while generating the initramfs should be part of it.
Comment 3 Harald Hoyer 2016-03-10 09:09:23 EST
of course we can always include those, regardless of the state while creating the initramfs, but then other people complain about the size of the initramfs.
Comment 4 Bruno Antunes 2016-03-10 09:55:43 EST
I think this keyboard has extra HID features, that's why I think you need hid_microsoft. If the docs for this case were easier to reach, it wouldn't be a big problem...?
Comment 5 Harald Hoyer 2016-03-10 11:46:53 EST
(In reply to Bruno Antunes from comment #4)
> I think this keyboard has extra HID features, that's why I think you need
> hid_microsoft. If the docs for this case were easier to reach, it wouldn't
> be a big problem...?

The question is, how did you end up without the hid-microsoft kernel module.
Somehow you must have created the initramfs without the keyboard plugged in, which of course might happen.
Comment 6 Bruno Antunes 2016-03-10 11:57:55 EST
I only got the keyboard recently... does that explain it?
Comment 7 Fedora End Of Life 2016-11-24 11:00:44 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2016-12-20 14:22:09 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.